Bug 692969 - Error: /typecheck in --run--
Summary: Error: /typecheck in --run--
Status: NOTIFIED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: PDF Interpreter (show other bugs)
Version: master
Hardware: PC All
: P1 normal
Assignee: Alex Cherepanov
QA Contact: Bug traffic
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 21:13 UTC by Marcos H. Woehrmann
Modified: 2012-05-28 18:25 UTC (History)
0 users

See Also:
Customer: 780
Word Size: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos H. Woehrmann 2012-04-05 21:13:32 UTC
The customer reports and I've verified that the attached PDF file generates a "Error: /typecheck in --run--" error when read by Ghostscript.  The customer is using 9.01 but earlier and later versions that I tried fail in the same way.  Apple Preview, Adobe Acrobat, and mu all read the file without problem.

The command line I'm using:

  bin/gs -sDEVICE=ppmraw -o test.ppm ./E030112_0000105765.pdf
Comment 2 Alex Cherepanov 2012-04-19 17:06:34 UTC
The file has an xref entry that points to a wrong object.
Ghostscript detects this, tries to rebuild the xref but cannot
do this for the files with object streams.

The file runs to completion with -dNoVerifyXref option.

As a quick fix I'll disable xref verification for the files with object streams.
We need to consider extending xref rebuilding code to support object streams.
Comment 3 Alex Cherepanov 2012-04-24 21:53:47 UTC
Don't verify stream xref table because we cannot repair PDF files with
new object format. Such verification only increases the chance that the
file fails.

A patch that does this has been committed as:
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=f1830075608195e2976751303d220fda3f796abb